CVE-2006-7108

NameCVE-2006-7108
Descriptionlogin in util-linux-2.12a skips pam_acct_mgmt and chauth_tok when authentication is skipped, such as when a Kerberos krlogin session has been established, which might allow users to bypass intended access policies that would be enforced by pam_acct_mgmt and chauth_tok.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
util-linux (PTS)buster2.33.1-0.1fixed
buster (security)2.33.1-0.1+deb10u1fixed
bullseye2.36.1-8+deb11u1fixed
bullseye (security)2.36.1-8+deb11u2fixed
bookworm2.38.1-5fixed
bookworm (security)2.38.1-5+deb12u1fixed
sid, trixie2.40.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
util-linuxsource(unstable)2.17.2-9unimportant

Notes

likely fixed far before this, which is the version in squeeze that was checked

Search for package or bug name: Reporting problems